SKIPJACK Class Reference

SKIPJACK block cipher. More...

Inheritance diagram for SKIPJACK:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from SKIPJACK_Info
static CRYPTOPP_DLL const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 10 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 10 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

SKIPJACK block cipher.

The Crypto++ implementation conforms to SKIPJACK and KEA Algorithm Specifications published by NIST in May 1998. The library passes known answer tests available in NIST SP800-17, Table 6, pp. 140-42.

See also
  SKIPJACK and KEA Algorithm Specifications (May 1998), SKIPJACK on the Crypto++ wiki

Definition at line 35 of file skipjack.h.

The documentation for this class was generated from the following file:

- skipjack.h